<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
        <ion-button fill="clear" (click)="dismiss()">{{"CLOSE" | translate}}</ion-button>
    </ion-buttons>
    <ion-title>{{"AIR_CONTENT_CHECK" | translate}}</ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="scan()">
        {{ "SCAN" | translate }}
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content padding>
  <form [formGroup]="form">  
  <ion-list>
      <ion-item-divider>
          {{"REALTIME" | translate}}
      </ion-item-divider>
      <ion-item lines="none">
          <ion-label style="text-align: center; color: rgb(56, 128, 255); font-size: 3em;"><b>{{realtime}} g</b></ion-label>
      </ion-item> 
      <ion-item-divider>
          {{"INPUT_DATA" | translate}}
      </ion-item-divider>
    <ion-row>
      <ion-col size=5>
        <ion-label>{{"VESSEL_MASS_FILLED_WITH_WATER" | translate}}</ion-label>
      </ion-col>
      <ion-col size=4>
        <ion-item>
            <ion-input type="number" placeholder="입력" name="water" formControlName="cWater" (ionFocus)="onEvent($event)" [value]="input1" readonly></ion-input>
            <span>g</span>
        </ion-item>
      </ion-col>
      <ion-col size=3>
        <ion-button color="slackSub" (click)="apply()">{{"APPLY" | translate}}</ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item lines="none">
            <ion-label>{{"INITIAL_PRESSURE" | translate}}</ion-label>
        </ion-item>
      </ion-col>
      <ion-col>
        <ion-item>
            <ion-input type="number" placeholder="입력" name="iPressure" formControlName="iPressure" (ionFocus)="onEvent($event)" [value]="pressure[0]" #modelInput2 readonly></ion-input>
            <span>kPa</span>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item lines="none">
            <ion-label>{{"EQUILIBRIUM_PRESSURE" | translate}}</ion-label>
        </ion-item>
      </ion-col>
      <ion-col>
        <ion-item>
            <ion-input type="number" placeholder="입력" name="ePressure" formControlName="ePressure" (ionFocus)="onEvent($event)" [value]="pressure[1]" readonly></ion-input>
            <span>kPa</span>
        </ion-item>
      </ion-col>
    </ion-row>  
    <ion-button color="slackSub" expand="full" (click)="calculator()" [disabled]="!form.valid">{{"MEASURE" | translate}}</ion-button>
    <br />
    <ion-row>
      <ion-col>
        <ion-item lines="none">
            <ion-label>{{"CALCULATED_VALUE" | translate}}</ion-label>
        </ion-item>
      </ion-col>
      <ion-col>
        <ion-item>
            <ion-input type="number" formControlName="cValue" [value]="calc" readonly></ion-input>
            <span>(%)</span>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item lines="none">
            <ion-label>{{"MEASURED_VALUE" | translate}}</ion-label>
        </ion-item>
      </ion-col>
      <ion-col>
        <ion-item>
            <ion-input type="number" formControlName="mValue" [value]="value" readonly></ion-input>
            <span>(%)</span>
        </ion-item>
      </ion-col>
    </ion-row>
  </ion-list>
    </form>
  </ion-content>

  <ion-footer>
    <ion-input [(ngModel)]="footnote" readonly></ion-input>
  </ion-footer>
